Create DNS record
curl --request POST \
--url https://rdp.sh/api/v1/domains/{domain}/dns \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": "<string>",
"ttl": 3600,
"priority": 32767
}
'import requests
url = "https://rdp.sh/api/v1/domains/{domain}/dns"
payload = {
"name": "<string>",
"value": "<string>",
"ttl": 3600,
"priority": 32767
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', value: '<string>', ttl: 3600, priority: 32767})
};
fetch('https://rdp.sh/api/v1/domains/{domain}/dns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"record": {
"id": 123,
"name": "<string>",
"value": "<string>",
"ttl": 123,
"priority": 123,
"created_at": "<string>"
}
}DNS Records
Create DNS Record
Create a new DNS record for the domain.
POST
/
domains
/
{domain}
/
dns
Create DNS record
Authorizations
Path Parameters
Domain ID
Body
application/json
Payload for creating or updating a DNS record.
DNS record type.
Available options:
A, AAAA, CNAME, MX, TXT, NS, SRV, CAA Record name. Use @ for the apex/root.
Maximum string length:
255Example:
"@"
Record value (e.g. an IP address, hostname, or text).
Maximum string length:
1000Example:
"185.241.208.160"
Time-to-live in seconds (60-86400). Defaults to 3600.
Required range:
60 <= x <= 86400Priority for MX and SRV records.
Required range:
0 <= x <= 65535⌘I